Unit tiac2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IAC2R_p;

function tiac2r: String;

implementation

function tiac2r: String;
var
I,J :Integer;
FXY :Array [0..15] of Real;
TX :Array [0..7] of Real;
TY :Array [0..7] of Real;
CY :Array [0..7] of Real;
CXY :Array [0..63] of Real;
const
X :Array [0..3] of Real = ( 2.0,3.0,4.0,5.0 );
Y :Array [0..3] of Real = ( 2.0,3.0,5.0,6.0 );
FXA :Array [0..3] of Real = ( 24.0,36.0,60.0,72.0 );
FXB :Array [0..3] of Real = ( 60.0,90.0,150.0,180.0 );
label
_10;
begin
Result := '';  {   }
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    FXY[(I-1)+(J-1)*4] := Y[J-1]*(IntPower(X[I-1],3));
_10:
   end;
 end;
IAC2R(X,4,Y,4,FXY,4,4,1,1,1,FXA,2,FXB,
     0,X,0,X,TX,TY,CXY,8,8,CY);
Result := Result + #$0D#$0A;
for I:=1 to 8 do
 begin
  Result := Result + Format(' TX  :%20.16f ',[TX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 8 do
 begin
  Result := Result + Format(' TY  :%20.16f ',[TY[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 6 do
 begin
  for J:=1 to 6 do
   begin
    Result := Result + Format(' CXY :%20.16f ',
 [CXY[(I-1)+(J-1)*8]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tiac2r',Result);  {     tiac2r.res }
end;

end.
